Bug 1476238 - EPEL6 update to 4.3.2 causes information leak to google via embedded youtube
Summary: EPEL6 update to 4.3.2 causes information leak to google via embedded youtube
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-28 11:54 UTC by Martin Poole
Modified: 2019-02-02 00:39 UTC (History)
13 users (show)

Fixed In Version: nagios-4.4.3-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 22:16:17 UTC


Attachments (Terms of Use)
patch to remove embedded youtube (6.98 KB, patch)
2017-07-28 11:54 UTC, Martin Poole
no flags Details | Diff

Description Martin Poole 2017-07-28 11:54:00 UTC
Created attachment 1305915 [details]
patch to remove embedded youtube

Description of problem:

The rebase of nagios in EPEL6 to 4.3.2 includes embedded youtube code which refreshes every time the page does, this leaks information to youtube/google/doubleclick.

https://www.youtube.com/youtubei/v1/log_interaction?alt=json&	https://www.youtube.com/embed/ahDIJcbSEFM
https://www.youtube.com/yts/jsbin/player-vflrwQIQw/en_GB/remote.js
https://static.doubleclick.net/instream/ad_status.js
https://www.google.com/js/bg/mR684wARl10eMkcWxV74840WjnYEQNsjKk34Dc9HlZs.js
https://googleads.g.doubleclick.net/pagead/id
https://www.youtube.com/yts/jsbin/player-vflrwQIQw/en_GB/base.js
https://www.youtube.com/yts/jsbin/www-embed-player-vfllwwkQI/www-embed-player.js
https://www.youtube.com/yts/cssbin/www-player-vflLzFSEx.css
https://www.youtube.com/embed/ahDIJcbSEFM
https://www.youtube.com/embed/ahDIJcbSEFM


Version-Release number of selected component (if applicable):

nagios-4.3.2-5.el6


How reproducible:

Always.


Additional info:

basic patch to remove embedded youtube attached.

It may also be sensible to review the use of nagios RSS feeds in the pages.

Comment 1 Stephen John Smoogen 2017-07-28 15:35:58 UTC
Have you talked with upstream on this? I am trying to keep within Fedora policies and not sure this violates any of them. If it does then these will go, but I am trying to keep with the upstream first mantra on this as much as possible.

Comment 2 Stephen John Smoogen 2017-08-02 22:10:48 UTC
Please review the builds that come out of https://koji.fedoraproject.org/koji/taskinfo?taskID=20987829

These have the removal of the data but I would like to make sure it works to your needs before I put it in updates.

Comment 3 Stephen John Smoogen 2017-08-02 22:27:29 UTC
Lets make that https://koji.fedoraproject.org/koji/taskinfo?taskID=20988423 as ppc didn't work in the previous build

Comment 4 Jan Kurik 2017-08-15 07:02:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 5 Doug Mitchell 2017-08-23 04:56:26 UTC
Upstream GitHub issue:
https://github.com/NagiosEnterprises/nagioscore/issues/352

Comment 7 Fedora Update System 2018-07-25 00:53:18 UTC
nagios-4.3.4-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 8 Fedora Update System 2018-07-25 19:52:40 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 9 Fedora Update System 2018-07-26 11:50:12 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 10 Ben Cotton 2018-11-27 14:54:56 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora Update System 2018-11-30 19:59:03 UTC
nagios-4.4.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 12 Ben Cotton 2018-11-30 22:16:17 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Fedora Update System 2018-12-01 01:55:37 UTC
nagios-4.4.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 14 Fedora Update System 2019-01-17 00:14:56 UTC
nagios-4.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 15 Fedora Update System 2019-01-18 01:00:39 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 16 Fedora Update System 2019-02-02 00:39:35 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.